complexType "ExercisePeriod"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-ird-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | earliestExerciseDateTenor?, exerciseFrequency?
</...>

Content Model Elements (2):

  earliestExerciseDateTenor, | exerciseFrequency (defined in ExercisePeriod complexType)

Annotation
This defines the time interval to the start of the exercise period, i.e. the earliest exercise date, and the frequency of subsequent exercise dates (if any).
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="ExercisePeriod"> <xsd:sequence> <xsd:element minOccurs="0" name="earliestExerciseDateTenor" type="Period"/> <xsd:element minOccurs="0" name="exerciseFrequency" type="Period"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
earliestExerciseDateTenor

  Type: | Period, complex content

  The time interval to the first (and possibly only) exercise date in the exercise period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="earliestExerciseDateTenor" type="Period"/>

exerciseFrequency

  Type: | Period, complex content

  The frequency of subsequent exercise dates in the exercise period following the earliest exercise date. An interval of 1 day should be used to indicate an American style exercise period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseFrequency" type="Period"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.